Last modified: 2013-07-25 18:48:45 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 48003 - Large thumbnails of "lossless" files return error
Large thumbnails of "lossless" files return error
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
wmf-deployment
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 28135
Blocks: 41371
  Show dependency treegraph
 
Reported: 2013-05-02 15:29 UTC by Marco
Modified: 2013-07-25 18:48 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Comment 1 Bawolff (Brian Wolff) 2013-05-02 22:19:26 UTC
possibly running into the actual resource limits. (if the program that scales images uses too much memory or cpu time, etc it gets killed).
Comment 2 Andre Klapper 2013-05-03 09:32:47 UTC
I wonder if there's any way to reduce the used memory/cpu here, as the provided example that fails rendering isn't "too" big. Hence existing folks to run into this more often (visible), but don't know how many of our images are lossless.
Comment 3 Bawolff (Brian Wolff) 2013-05-04 16:16:19 UTC
(In reply to comment #2)
> I wonder if there's any way to reduce the used memory/cpu here, as the
> provided
> example that fails rendering isn't "too" big. Hence existing folks to run
> into
> this more often (visible), but don't know how many of our images are
> lossless.

Note the lossless/lossy thing isnt really the main reason, it more has to do with how image magick doesnt decompress the whole image all at once for nonprogressive jpeg, but does for other formats.

Its been a long term issue that large progressive jpegs don't thumbnail either.

The fix for this bug is bug 28135. Perhaps this should be duped to one of the vips related bugs (unlesd there is some in between step we could take im not aware of)
Comment 4 Greg Grossmeier 2013-07-25 18:46:31 UTC
(In reply to comment #0)

> https://upload.wikimedia.org/wikipedia/commons/thumb/0/0a/File-Ulysses_S.
> _Grant_from_West_Point_to_Appomattox_partially_restored.png/276px-File-
> Ulysses_S._Grant_from_West_Point_to_Appomattox_partially_restored.png
> OK
> https://upload.wikimedia.org/wikipedia/commons/thumb/0/0a/File-Ulysses_S.
> _Grant_from_West_Point_to_Appomattox_partially_restored.png/476px-File-
> Ulysses_S._Grant_from_West_Point_to_Appomattox_partially_restored.png
> Not OK
> 
> (Could not find an appropriate tiff file by now)

Those two files (the pngs) look good to me now, after we've deployed VipsScaler on all wikis.

The large gif one (https://upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Mejeri1.gif/577px-Mejeri1.gif) still fails, though.

Partially fixed!

In fact, I'll just mark this bug fixed and open a new one for using VipsScaler for gifs also (right now VipsScaler is only used on large pngs).
Comment 5 Greg Grossmeier 2013-07-25 18:48:45 UTC
Bug 52043

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links